Bug 503031 - Review Request: easystroke - Gesture-recognition application for X11
Review Request: easystroke - Gesture-recognition application for X11
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 08:12 EDT by Zarko (grof)
Modified: 2009-06-15 22:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.4.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 17:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Patch to compile on F-9 (408 bytes, text/plain)
2009-06-03 09:09 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Zarko (grof) 2009-05-28 08:12:41 EDT
Spec URL: http://wiki.open.hr/~zpintar/fedora-11/SPECS/easystroke.spec
SRPM URL: http://wiki.open.hr/~zpintar/fedora-11/SRPMS/easystroke-0.4.4-1.fc11.src.rpm

Description:
Easystroke is a gesture-recognition application for X11. Gestures or strokes 
are movements that you make with you mouse (or your pen, finger etc.) while 
holding down a specific mouse button. Easystroke will execute certain actions 
if it recognizes the stroke; currently easystroke can emulate key presses, 
execute shell commands, hold down modifiers and emulate a scroll wheel. 

rpmlint is not clean for debug package:
easystroke-debuginfo.x86_64: E: empty-debuginfo-package

I checked if %{optflags} passing to compiler, and they pass (see build.log at Koji), but I'm still getting this error.

Koji builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1381241
http://koji.fedoraproject.org/koji/taskinfo?taskID=1381227
Comment 1 Parag AN(पराग) 2009-05-29 01:19:59 EDT
you may want to path Makefile and remove -s in install command
        install -Ds $(BINARY) $(DESTDIR)$(BINDIR)/$(BINARY)
to
        install -D $(BINARY) $(DESTDIR)$(BINDIR)/$(BINARY)
Comment 3 Parag AN(पराग) 2009-06-01 05:15:18 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1386455
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4b196b07524f55422c64113aee1a5bcbbf249ee9  easystroke-0.4.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ gtk-update-icon-cache scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI application

Suggestions:
1) I don't see mimetype written in desktop file so according to https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database, drop update-desktop-database from SPEC.

2) I think you should own only svg file and add
Requires: hicolor-icon-theme
and change in %files as
%{_datadir}/icons/hicolor/scalable/apps/easystroke.svg
Comment 4 Zarko (grof) 2009-06-01 06:18:15 EDT
done.

Spec URL: http://wiki.open.hr/~zpintar/fedora-11/SPECS/easystroke.spec
SRPM URL:
http://wiki.open.hr/~zpintar/fedora-11/SRPMS/easystroke-0.4.4-3.fc11.src.rpm


We do not need this:
Requires: hicolor-icon-theme

I built some packages witohut that and nobody compliant (include my sponsor ;) )
Comment 5 Parag AN(पराग) 2009-06-01 07:17:32 EDT
you can find packages requiring hicolor-icon-theme using
repoquery -q --whatrequires hicolor-icon-theme

But, anyway hicolor-icon-theme is in the dependency chain, don't add it.
APPROVED.
Comment 6 Zarko (grof) 2009-06-01 07:21:41 EDT
Thank you for review.

New Package CVS Request
=======================
Package Name: easystroke
Short Description: Gesture-recognition application for X11
Owners: grof
Branches: F9 F10 F11
InitialCC: grof
Comment 7 Jason Tibbitts 2009-06-01 14:24:43 EDT
Please note branch names are "F-9", "F-10", "F-11".

CVS done.
Comment 8 Zarko (grof) 2009-06-02 03:18:11 EDT
I have problem with build under F-9:

-----------------------------------------------
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -o easystroke actiondb.o actions.o annotate.o composite.o dbus-server.o fire.o gesture.o grabber.o main.o prefdb.o prefs.o shape.o stats.o util.o water.o win.o stroke.o gui.o desktop.o version.o -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -lboost_serialization -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
stroke.o: In function `stroke_compare':
/builddir/build/BUILD/easystroke-0.4.4/stroke.c:191: undefined reference to `step.3612'
/builddir/build/BUILD/easystroke-0.4.4/stroke.c:199: undefined reference to `step.3612'
/builddir/build/BUILD/easystroke-0.4.4/stroke.c:187: undefined reference to `step.3612'
/builddir/build/BUILD/easystroke-0.4.4/stroke.c:195: undefined reference to `step.3612'
collect2: ld returned 1 exit status
make: *** [easystroke] Error 1
------------------------------------------------

Any idea how resolving this?
Comment 9 Fedora Update System 2009-06-02 03:41:43 EDT
easystroke-0.4.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/easystroke-0.4.4-3.fc10
Comment 10 Fedora Update System 2009-06-02 03:41:49 EDT
easystroke-0.4.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/easystroke-0.4.4-3.fc11
Comment 11 Parag AN(पराग) 2009-06-02 07:14:07 EDT
(In reply to comment #8)
> I have problem with build under F-9:
> 
> -----------------------------------------------
> g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
> --param=ssp-buffer-size=4 -m64 -mtune=generic -o easystroke actiondb.o
> actions.o annotate.o composite.o dbus-server.o fire.o gesture.o grabber.o
> main.o prefdb.o prefs.o shape.o stats.o util.o water.o win.o stroke.o gui.o
> desktop.o version.o -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
> -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
> -lboost_serialization -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
> stroke.o: In function `stroke_compare':
> /builddir/build/BUILD/easystroke-0.4.4/stroke.c:191: undefined reference to
> `step.3612'
> /builddir/build/BUILD/easystroke-0.4.4/stroke.c:199: undefined reference to
> `step.3612'
> /builddir/build/BUILD/easystroke-0.4.4/stroke.c:187: undefined reference to
> `step.3612'
> /builddir/build/BUILD/easystroke-0.4.4/stroke.c:195: undefined reference to
> `step.3612'
> collect2: ld returned 1 exit status
> make: *** [easystroke] Error 1
> ------------------------------------------------
> 
> Any idea how resolving this?  

Not sure what's happening here. Also having no F9 installed machine now.
Comment 12 Zarko (grof) 2009-06-02 08:28:37 EDT
(In reply to comment #11)
> > Any idea how resolving this?  
> 
> Not sure what's happening here. Also having no F9 installed machine now.  

Never mind, if I'll not resolve that, then nothing of F-9 branch (for a couple of days it will be obsolete)
Comment 13 Mamoru TASAKA 2009-06-03 09:09:29 EDT
Created attachment 346390 [details]
Patch to compile on F-9

- Well, maybe gcc 4.3.0 (used in F-9) does not support
  nested inline functions. I tried to change to use non-inline
  nested function instead of nested inline function (in stroke.c)
  and it succeeds:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1391017
  What is strange is that F-10 uses gcc 4.3.2 and with it
  build seems to succeed...

- By the way Fedora specific compilation flags are not
  correctly honored.
  E.g. from 
  
  http://kojipkgs.fedoraproject.org/packages/easystroke/0.4.4/3.fc12/data/logs/i586/
---------------------------------------------------------------
    78  cc    -c -o gui.o gui.c
    85  cc    -c -o desktop.o desktop.c
---------------------------------------------------------------
Comment 14 Mamoru TASAKA 2009-06-03 09:14:08 EDT
make  %{?_smp_mflags} CXX="g++ %{optflags}" CC="gcc -std=c99 %{optflags}"
can be a workaround.
Comment 15 Zarko (grof) 2009-06-03 09:16:52 EDT
OK, thanks.

I'll resolve this and make new release of package.
Comment 16 Parag AN(पराग) 2009-06-03 10:56:32 EDT
Thanks mtasaka for helping here.
aah! my eyes missed gui.c and desktop.c compilation lines.
Comment 17 Fedora Update System 2009-06-03 17:02:44 EDT
easystroke-0.4.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/easystroke-0.4.5-1.fc10
Comment 18 Fedora Update System 2009-06-03 17:02:49 EDT
easystroke-0.4.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/easystroke-0.4.5-1.fc11
Comment 19 Fedora Update System 2009-06-03 17:07:53 EDT
easystroke-0.4.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/easystroke-0.4.5-1.fc9
Comment 20 Zarko (grof) 2009-06-03 17:14:19 EDT
I updated all packages (btw new version is on upstream, so I included it)

Closing now.

Thanks to Tasaka, too.
Comment 21 Fedora Update System 2009-06-15 21:24:23 EDT
easystroke-0.4.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-06-15 21:26:50 EDT
easystroke-0.4.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-06-15 22:24:53 EDT
easystroke-0.4.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.